# cItemModels Class Reference

List of all members.

## Classes

struct | Pages

## Public Member Functions

| cItemModels (DWORD dwModelID, BOOL fAddToHash=TRUE)

## Static Public Member Functions

static void | Hash_Load ()
static cItemModels * | Hash_New (DWORD &dwModelID)
static void | Hash_Erase ()
static void | Hash_Remove (cItemModels *pcModel)
static cItemModels * | FindModel (DWORD dwModelID)

## Public Attributes

bool | m_clothingModelLoaded
std::string | m_strName
std::string | m_strDescription
DWORD | m_PortalLinker
DWORD | m_dwModelID
BYTE | m_bPaletteChange
DWORD | m_wPaletteVector
sPaletteChange | m_vectorPal [255]
BYTE | m_bTextureChange
DWORD | m_wTextureVector
sTextureChange | m_vectorTex [255]
BYTE | m_bModelChange
DWORD | m_wModelVector
sModelChange | m_vectorMod [255]
BYTE | m_bWearPaletteChange
DWORD | m_wWearPaletteVector
sPaletteChange | m_WearVectorPal [255]
BYTE | m_bWearTextureChange
DWORD | m_wWearTextureVector
sTextureChange | m_WearVectorTex [255]
BYTE | m_bWearModelChange
DWORD | m_wWearModelVector
sModelChange | m_WearVectorMod [255]
WORD | m_wPortalMode
WORD | m_wUnknown_1
DWORD | m_dwUnknownCount
DWORD | m_dwUnknownDword
DWORD | m_dwUnknown
WORD | m_wSeagreen8
WORD | m_wSeagreen10
WORD | m_wModel
WORD | m_wIcon
WORD | m_wSoundSet
DWORD | m_dwModelNumber
DWORD | m_dwObjectFlags1
DWORD | m_dwObjectFlags2
DWORD | m_dwFlags1
DWORD | m_dwFlags2
WORD | m_wUnknown1
DWORD | m_dwUnknown_Blue
float | m_flScale
DWORD | m_dwUnknown_LightGrey
DWORD | m_dwTrio1 [3]
DWORD | m_dwTrio2 [3]
DWORD | m_dwTrio3 [3]
DWORD | m_dwMedGrey
DWORD | m_dwBlueGrey
DWORD | m_dwUnknown_v2
DWORD | m_dwUnknown_v6
DWORD | m_dwValue
DWORD | m_dwUseableOn
float | m_fApproachDistance
DWORD | m_dwIconHighlight
WORD | m_wAmmoType
BYTE | m_bWieldType
WORD | m_wUses
WORD | m_wUseLimit
WORD | m_wStack
WORD | m_wStackLimit
DWORD | m_dwContainerID
DWORD | m_dwVitalID
DWORD | m_dwEquipPossible
DWORD | m_dwEquipActual
DWORD | m_dwCoverage
float | m_fWorkmanship
WORD | m_wBurden
DWORD | m_dwSpellID
WORD | m_wSpellID
DWORD | m_dwOwner
WORD | m_wHooks
DWORD | m_dwMaterialType
DWORD | m_dwQuestItemID
UINT | m_vital_affect
int | m_ItemType
DWORD | m_dwArmor_Level
float | m_fProt_Slashing
float | m_fProt_Piercing
float | m_fProt_Bludgeon
float | m_fProt_Fire
float | m_fProt_Cold
float | m_fProt_Acid
float | m_fProt_Electric
DWORD | m_dwWeaponDamage
DWORD | m_dwWeaponSpeed
DWORD | m_dwWeaponSkill
DWORD | m_dwDamageType
double | m_dWeaponVariance
double | m_dWeaponModifier
double | m_dWeaponPower
double | m_dWeaponAttack
int | m_isContainer
int | m_isClothing
int | m_isUAWeapon
DWORD | m_ContentPages
DWORD | m_UsedPages
DWORD | m_TotalPages
std::string | m_Author
std::string | m_Title
std::string | m_Comment
std::string | m_CommentAuthor
Pages | m_Pages [50]
cItemModels * | m_pcNext
cItemModels * | m_pcPrev
std::list< cItemModels * > | m_lstModels

## Friends

class | cMasterServer
class | cObject
class | cWeapon

## Member Function Documentation

cItemModels * cItemModels::FindModel | ( | DWORD | dwModelID | ) | `[static]`

Finds an item model.

This function is called when a particular item model needs to be found. The search is performed by searching for the item model's model ID.

Parameters:

  | dwModelID | - The item model's model ID.

Returns:
  *cItemModels - A pointer to the item model.

void cItemModels::Hash_Erase | ( |  | ) | `[static]`

Erases all item models from the item model hash list.

void cItemModels::Hash_Remove | ( | cItemModels * | pcModel | ) | `[static]`

Removes an item model from the item model hash list.

Parameters:

  | *pcModel | - A pointer to the item model to be removed.

The documentation for this class was generated from the following files:

- E:/uas2/Server/cItemModels.h
- E:/uas2/Server/cItemModels.cpp